# -*- rpm-spec -*-

Name: virt-viewer
Version: 0.0.2
Release: 3%{?dist}
Summary: Virtual Machine Viewer

Group: Applications/System
License: GPLv2+
URL: http://virt-manager.org/
Source0: http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-vnc-credential-name.patch
Patch2: %{name}-%{version}-hide-passwd.patch
Patch3: %{name}-%{version}-window-title.patch
Patch4: %{name}-%{version}-accelerator-disable.patch
Patch5: %{name}-%{version}-wait-lookup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: libvirt-devel >= 0.3.2
BuildRequires: libxml2-devel
BuildRequires: gtk-vnc-devel >= 0.1.0
BuildRequires: /usr/bin/pod2man
BuildRequires: xen-devel
ExclusiveArch: i386 i686 x86_64 ia64

%description
Virtual Machine Viewer provides a graphical console client for connecting
to virtual machines. It uses the GTK-VNC widget to provide the display,
and libvirt for looking up VNC server details.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Thu Sep 17 2009 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Apr  1 2009 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-3.el5
- Fix handling of -w flag (rhbz #444024)
- Ensure fresh lookup of domain objects (rhbz #444028)

* Thu Mar 27 2008 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-2.el5
- Disable accelerators when keyboard is grabbed (rhbz #434812)

* Mon Jan 14 2008 Daniel P. Berrange <berrange@redhat.com> - 0.0.2-1.el5
- Initial packaging

